Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.saml
Interface SAMLAssertionStoreV2

All Superinterfaces:
  SAMLAssertionStore

    public interface SAMLAssertionStoreV2

extends SAMLAssertionStore

`SAMLAssertionStoreV2` extends the `SAMLAssertionStore` interface, adding methods to support identification and authentication of the destination site requesting an assertion from the SAML ARS.

Classes implementing this interface must have a public no-arg constructor and must be in the system classpath.

Nested Class Summary
`static class` | `SAMLAssertionStoreV2.AssertionInfo` The `AssertionInfo` class is returned by `SAMLAssertionStoreV2.retrieveAssertionInfo()`.

Method Summary
`SAMLAssertionStoreV2.AssertionInfo` | `retrieveAssertionInfo(String artifact)` Retrieve the assertion info for a given artifact.
`boolean` | `storeAssertionInfo(String artifact, String partnerId, long expire, Element assertion)` Stores the given assertion for later retrieval using the specified artifact as a key.

Methods inherited from interface weblogic.security.providers.saml.SAMLAssertionStore
`flushStore, initStore, releaseStore, retrieveAssertion, storeAssertion`

Method Detail

### storeAssertionInfo

    boolean storeAssertionInfo(String artifact,
                               String partnerId,
                               long expire,
                               Element assertion)

  Stores the given assertion for later retrieval using the specified artifact as a key.

  Parameters:
    `artifact` - The SAML artifact to use as a key when storing/retrieving the assertion.
    `partnerId` - The partnerId of the relying party (destination site) to which the artifact was sent.
    `expire` - The NotOnOrAfter time of the assertion. The assertion may be discarded if not retrieved prior to this time.
    `assertion` - The assertion to store, as a DOM `Element`.
  Returns:
    True if the assertion was successfully stored, false otherwise.

### retrieveAssertionInfo

    SAMLAssertionStoreV2.AssertionInfo retrieveAssertionInfo(String artifact)

  Retrieve the assertion info for a given artifact. If successful, an `AssertionInfo` object containing the info corresponding to the artifact is returned to the caller and is also removed from the store.

  Parameters:
    `artifact` - The SAML artifact corresponding to the desired assertion.
  Returns:
    The requested `AssertionInfo`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD